program analytical

implicit none

real :: fe_h2, fe_co, fe_ch4, fe_c2h4, fe_eth, fe_prd, fe_proh, fe_aloh, fe_hcooh, fe_ch3cooh, fe_md
real :: cn6, cn7, cn8, cn9, cn10, cn11
real :: voltage
real :: fe_tot_exp

write(*,*) 'voltage, cn6, cn7, cn8, cn9, cn10, cn11 - insert' 
read(*,*) voltage, cn6, cn7, cn8, cn9, cn10, cn11

fe_h2 = ((voltage+1.1)**2)  * (300) * &
( 6*cn6 + 5*cn7 + 4*cn8 +  3*cn9  + 2*cn10 + 1*cn11) + 10* ( 6*cn6 + 5*cn7 + 4*cn8 +  3*cn9  + 2*cn10 + 1*cn11)
 
fe_co = ((-1.1-voltage)**2)  * (-250) * &
& ( 6*cn6 + 3*cn7 + 2*cn8 +  1*cn9  + 1*cn10 + 1*cn11)+ 10*( 4*cn6 + 2*cn7 + 2*cn8 +  1*cn9  + 1*cn10 + 1*cn11)
 
fe_ch4 = ((-1.2-voltage)**2)  *  (-250) * &
& (  1*cn6 + 2*cn7 + 3*cn8 +  6*cn9 + 2*cn10 + 1*cn11) + 10* (  1*cn6 + 2*cn7 + 3*cn8 +  6*cn9 + 2*cn10 + 1*cn11)

fe_c2h4 = ((-1.0-voltage)**2) *   (-250) * &
& (  2*cn6 + 6*cn7 + 6*cn8 + 3*cn9 + 2*cn10 + 1*cn11)  + 10*( 2*cn6 + 2*cn7 + 6*cn8 + 2*cn9 + 1*cn10 + 1*cn11)

fe_eth = ((-1.1-voltage)**2)  *  (-250) * &
& ( 3*cn6 + 4*cn7 + 5*cn8 +  3*cn9 + 2*cn10 + 1*cn11)  + 10* ( 1*cn6 + 2*cn7 + 5*cn8 +  2*cn9 + 1*cn10 + 1*cn11)

fe_prd = ((-1.1-voltage)**2) *  (-250) * & 
& ( 2*cn6 + 1*cn7 + 1*cn8 + 1*cn9 + 2*cn10 + 1*cn11)  + 10* ( 2*cn6 + 1*cn7 + 1*cn8 + 1*cn9 + 2*cn10 + 1*cn11)

fe_proh = ((-1.1-voltage)**2) *  (-250) * &
& ( 1*cn6 + 2*cn7 + 1*cn8 +  1*cn9 + 1*cn10 + 2*cn11)+ 10* ( 1*cn6 + 2*cn7 + 1*cn8 +  1*cn9 + 1*cn10 + 2*cn11)

fe_aloh = ((-1.1-voltage)**2)  *   (-250) * &
& ( 1*cn6 + 1*cn7 + 2*cn8 +  1*cn9 + 2*cn10 + 1*cn11)  + 10* ( 1*cn6 + 1*cn7 + 2*cn8 +  1*cn9 + 2*cn10 + 1*cn11)

fe_hcooh = ((-0.8-voltage)**2) *  (-250) *  &
& ( 2*cn6 + 3*cn7 + 1*cn8 +  2*cn9 + 2*cn10 + 1*cn11)+ 10*  ( 2*cn6 + 3*cn7 + 1*cn8 +  2*cn9 + 2*cn10 + 1*cn11)

fe_ch3cooh = ((-1.1-voltage)**2)  *  (-250) * &
& ( 1*cn6 + 2*cn7 + 2*cn8 +  1*cn9 + 1 *cn10 + 1*cn11) + 10*  ( 1*cn6 + 2*cn7 + 2*cn8 +  1*cn9 + 1 *cn10 + 1*cn11)

fe_md = ((-1.1-voltage)**2)  *  (-250) *  &
& ( 1*cn6 + 1*cn7 + 1*cn8 +  1*cn9 + 1*cn10 + 1*cn11) + 10*  ( 1*cn6 + 1*cn7 + 1*cn8 +  1*cn9 + 1*cn10 + 1*cn11)

fe_tot_exp  =  exp(0.1*fe_h2)+exp(0.1*fe_co)+exp(0.1*fe_ch4)+exp(0.1*fe_c2h4)+ &
& exp(0.1*fe_eth)+exp(0.1*fe_prd)+exp(0.1*fe_proh)+exp(0.1*fe_aloh)+exp(0.1*fe_ch3cooh)+exp(0.1*fe_md)

fe_h2 = exp(0.1*fe_h2)/ fe_tot_exp
fe_co =  exp(0.1*fe_co)/ fe_tot_exp
fe_ch4 = exp(0.1*fe_ch4)/ fe_tot_exp
fe_c2h4 = exp(0.1*fe_c2h4)/ fe_tot_exp
fe_eth = exp(0.1*fe_eth)/ fe_tot_exp
fe_prd =  exp(0.1*fe_prd)/ fe_tot_exp
fe_proh =  exp(0.1*fe_proh)/ fe_tot_exp
fe_aloh =  exp(0.1*fe_aloh)/ fe_tot_exp
fe_hcooh =  exp(0.1*fe_hcooh)/ fe_tot_exp
fe_ch3cooh =  exp(0.1*fe_ch3cooh)/ fe_tot_exp
fe_md =  exp(0.1*fe_md)/ fe_tot_exp

write(*,*) fe_h2, fe_co, fe_ch4, fe_c2h4, fe_eth, fe_prd, fe_proh, fe_aloh, fe_hcooh, fe_ch3cooh, fe_md

end program
